Loyalty.lt
Shop points

Get Point Transaction Details

Get detailed information about a specific point transaction

GET/{locale}/shop/points/{id}

Get detailed information about a specific point transaction

Authorization

bearerAuth
AuthorizationBearer <token>

Enter JWT token in the format: Bearer {token}

In: header

Path Parameters

locale*string

Locale code

id*integer

Point transaction ID

Response Body

application/json

application/json

curl -X GET "https://example.com/en/shop/points/1"
{  "success": true,  "data": {    "id": 1,    "loyalty_card_id": 1,    "points": 100,    "type": "earned",    "description": "Purchase at Partner Store",    "reference_id": "ORDER-123456",    "metadata": {},    "card": {      "id": 1,      "card_name": "My Loyalty Card",      "card_number": "LC00000001"    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "code": 200}